<?php


namespace App\Controller;

use App\Container\Site\BlockContainer;

trait ControllerTrait
{
    public static function getSubscribedServices()
    {
        return array_merge(
            parent::getSubscribedServices(),
            [
                BlockContainer::class => BlockContainer::class,
            ]
        );
    }

    public function getBlockContainer(): BlockContainer
    {
        return $this->get(BlockContainer::class);
    }
}